task trimmomatic {
	File read1
	File read2
	File adapter
	String baseout
	String docker
	String cluster

	command {
  	trimmomatic PE -threads 20 -phred33 ${read1} ${read2} ${baseout}_1P.fq.gz ${baseout}_2P.fq.gz ILLUMINACLIP:${adapter}:2:30:10:1:true HEADCROP:10 LEADING:10 TRAILING:10 SLIDINGWINDOW:4:15 MINLEN:36
	}

	runtime {
		docker: docker 
		cluster: cluster
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd 200 /cromwell_root/"
	}

	output {
		File read_1p = ${baseout} + "_1P.fq.gz"
		File read_2p = ${baseout} + "_2P.fq.gz"
	}
}
